=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for WeFitter::StressSample
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'StressSample' do
  before do
    # run before each test
    @instance = WeFitter::StressSample.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of StressSample' do
    it 'should create an instance of StressSample' do
      expect(@instance).to be_instance_of(WeFitter::StressSample)
    end
  end
  describe 'test attribute "timestamp"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "source"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Petstore::EnumTest::EnumAttributeValidator.new('String', ["AGGREGATED", "ANDROID", "APPLE", "FITBIT", "GARMIN", "GOOGLEFIT", "HEALTHCONNECT", "HUAWEI", "MYZONE", "OMH", "OMRON", "OURA", "POLAR", "SAMSUNG", "STRAVA", "SUUNTO", "WF", "WHOOP", "WITHINGS"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.source = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "stress_value"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
